Bug 577047 - (jon24-cli) Improve CLI coverage and testing
Improve CLI coverage and testing
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On: RHQ-2314 567697 580243 580254 782489
Blocks: jon24-features
  Show dependency treegraph
 
Reported: 2010-03-25 18:53 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 21:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-03-25 18:53:10 EDT
With the initial implementation of the CLI in JON 2.3 we opened up some of the server side api's to remote access via CLI or straight Java, going forward we should do the following

-Extend the remote api to support additional server side apis: e.g. additional areas of the Alerting subsystem, manually add resources
-Incorporate tests of the remote api and CLI into our continuous integration testsuite.
Comment 1 John Sanda 2010-03-31 14:53:52 EDT
Currently, we have a number of CLI test scripts that live under rhq/modules/enterprise/remoting/scripts. The scripts are executed as part of a TestNG test suite that can be run from maven by simply executing mvn test for example. There are a couple classes in the scripts module that programmatically build a TestNG test suite. A separate test is added to the suite for each test script. These tests are integration tests as they do full end-to-end testing between a CLI client and a running server. Most of the tests also expect/require certain resources to be in inventory. Continuing to invest in these tests has a few benefits:

* Tests remote APIs
* Tests CLI-specific functionality
* Provides documentation for CLI usage

I will write a up doc on the wiki that provides more technical detail on writing and running CLI tests. I will also outline some of the pros and cons that approach for testing the remote APIs versus other approaches.

I spoke with Jeff Weiss about leveraging the work that he and the QE team has done for setting up an rhq server and agent for use during a test run in a hudson build, and it sounds like it is doable.
Comment 2 Corey Welton 2010-09-13 16:35:38 EDT
jsanda - did you ever get to write doco?  what is lacking most in documentation?
Comment 3 Jay Shaughnessy 2014-05-27 21:26:21 EDT
QE team has taken this to new heights

Note You need to log in before you can comment on or make changes to this bug.